import React, { Component } from "react";
import { ComponentMeta, ComponentStory, Meta} from "@storybook/react";
import classNames from "classnames"
import * as Icons from "./icons";


// ((IconsComponent as unknown) as Array<any>).forEach((element) => element);

export default {
    title: "All-Icons",
    argTypes: {
        className: {
            control: {type: 'check'} ,
            options:[
                ' fill-none ', 
                ' fill-blue-50 ',
                ' fill-blue-100 ',
                ' fill-blue-200 ',
                ' fill-blue-300 ',
                ' fill-blue-400 ',
                ' fill-blue-500 ',
                ' fill-blue-600 ',
                ' fill-blue-700 ',
                ' fill-blue-800 ',
                ' fill-blue-900 ',
                ' fill-gray-50 ',
                ' fill-gray-75 ',
                ' fill-gray-100 ',
                ' fill-gray-200 ',
                ' fill-gray-300 ',
                ' fill-gray-400 ',
                ' fill-gray-500 ',
                ' fill-gray-600 ',
                ' fill-gray-700 ',
                ' fill-gray-800 ',
                ' fill-gray-900 ',
                ' stroke-none ', 
                ' stroke-blue-50 ',
                ' stroke-blue-100 ',
                ' stroke-blue-200 ',
                ' stroke-blue-300 ',
                ' stroke-blue-400 ',
                ' stroke-blue-500 ',
                ' stroke-blue-600 ',
                ' stroke-blue-700 ',
                ' stroke-blue-800 ',
                ' stroke-blue-900 ',
                ' stroke-gray-50 ',
                ' stroke-gray-75 ',
                ' stroke-gray-100 ',
                ' stroke-gray-200 ',
                ' stroke-gray-300 ',
                ' stroke-gray-400 ',
                ' stroke-gray-500 ',
                ' stroke-gray-600 ',
                ' stroke-gray-700 ',
                ' stroke-gray-800 ',
                ' stroke-gray-900 ',                
            ],                    
        },
        
    },
} 


const ArrowBigRightStory: ComponentStory<typeof Icons.SVGArrowBigRight> = (args) => <Icons.SVGArrowBigRight  {...args}/>;
const ArrowRightStory: ComponentStory<typeof Icons.SVGArrowRight> = (args) => <Icons.SVGArrowRight  {...args}/>;
const ArrowLeftStory : ComponentStory<typeof Icons.SVGArrowLeft> = (args) => <Icons.SVGArrowLeft {... args}  />
const ArrowDownStory : ComponentStory<typeof Icons.SVGArrowDown> = (args) => <Icons.SVGArrowDown {... args} />
const BookmarkStory : ComponentStory<typeof Icons.SVGBookmark> = (args) => <Icons.SVGBookmark {... args} />
const CaretDownStory : ComponentStory<typeof Icons.SVGCaretDown> = (args) => <Icons.SVGCaretDown {... args} />
const CaretLeftStory : ComponentStory<typeof Icons.SVGCaretLeft> = (args) => <Icons.SVGCaretLeft {... args} />
const CaretRightStory : ComponentStory<typeof Icons.SVGCaretRight> = (args) => <Icons.SVGCaretRight {... args} />
const CaretUpStory : ComponentStory<typeof Icons.SVGCaretUp> = (args) => <Icons.SVGCaretUp {... args} />
const ChevronesLeftStory : ComponentStory<typeof Icons.SVGChevronesLeft> = (args) => <Icons.SVGChevronesLeft {... args} />
const ChevronesRightStory : ComponentStory<typeof Icons.SVGChevronesRight> = (args) => <Icons.SVGChevronesRight {... args} />
const CiteStory : ComponentStory<typeof Icons.SVGCite> = (args) => <Icons.SVGCite {... args} />
const CopyStory : ComponentStory<typeof Icons.SVGCopy> = (args) => <Icons.SVGCopy {... args} />
const DeleteStory : ComponentStory<typeof Icons.SVGDelete> = (args) => <Icons.SVGDelete {... args} />
const DownloadStory : ComponentStory<typeof Icons.SVGDownload> = (args) => <Icons.SVGDownload {... args} />
const Edit1Story : ComponentStory<typeof Icons.SVGEdit1> = (args) => <Icons.SVGEdit1 {... args} />
const Edit2Story : ComponentStory<typeof Icons.SVGEdit2> = (args) => <Icons.SVGEdit2 {... args} />
const ErrorStory : ComponentStory<typeof Icons.SVGError> = (args) => <Icons.SVGError {... args} />
const EyeStory : ComponentStory<typeof Icons.SVGEye> = (args) => <Icons.SVGEye {... args} />
const FavoriteStory : ComponentStory<typeof Icons.SVGFavorite> = (args) => <Icons.SVGFavorite {... args} />
const FiletextStory : ComponentStory<typeof Icons.SVGFiletext> = (args) => <Icons.SVGFiletext {... args} />
const FolderStory : ComponentStory<typeof Icons.SVGFolder> = (args) => <Icons.SVGFolder {... args} />
const KeyStory : ComponentStory<typeof Icons.SVGKey> = (args) => <Icons.SVGKey {... args} />
const ListStory : ComponentStory<typeof Icons.SVGList> = (args) => <Icons.SVGList {... args} />
const MinusStory : ComponentStory<typeof Icons.SVGMinus> = (args) => <Icons.SVGMinus {... args} />
const MoreStory : ComponentStory<typeof Icons.SVGMore> = (args) => <Icons.SVGMore {... args} />
const PlusStory : ComponentStory<typeof Icons.SVGPlus> = (args) => <Icons.SVGPlus {... args} />
const PrinterStory : ComponentStory<typeof Icons.SVGPrinter> = (args) => <Icons.SVGPrinter {... args} />
const SearchStory : ComponentStory<typeof Icons.SVGSearch> = (args) => <Icons.SVGSearch {... args} />
const ShareStory : ComponentStory<typeof Icons.SVGShare> = (args) => <Icons.SVGShare {... args} />
const UserStory : ComponentStory<typeof Icons.SVGUser> = (args) => <Icons.SVGUser {... args} />
const XMarkStory : ComponentStory<typeof Icons.SVGXMark> = (args) => <Icons.SVGXMark {... args} />

export const ArrowBigRight= ArrowBigRightStory.bind({});
export const ArrowRight = ArrowRightStory.bind({});
export const ArrowLeft = ArrowLeftStory.bind({});  
export const ArrowDown = ArrowDownStory.bind({});  
export const Bookmark = BookmarkStory.bind({});  
export const CaretDown = CaretDownStory.bind({});  
export const CaretLeft = CaretLeftStory.bind({});  
export const CaretRight = CaretRightStory.bind({});  
export const CaretUp = CaretUpStory.bind({});  
export const ChevronesLeft = ChevronesLeftStory.bind({});  
export const ChevronesRight = ChevronesRightStory.bind({});  
export const Cite = CiteStory.bind({});  
export const Copy = CopyStory.bind({});  
export const Delete = DeleteStory.bind({});  
export const Download = DownloadStory.bind({});  
export const Edit1 = Edit1Story.bind({});  
export const Edit2 = Edit2Story.bind({});  
export const Error = ErrorStory.bind({});  
export const Eye = EyeStory.bind({});  
export const Favorite = FavoriteStory.bind({});  
export const Filetext = FiletextStory.bind({});  
export const Folder = FolderStory.bind({});  
export const Key = KeyStory.bind({});  
export const List = ListStory.bind({});  
export const Minus = MinusStory.bind({});  
export const More = MoreStory.bind({});  
export const Plus = PlusStory.bind({});  
export const Printer = PrinterStory.bind({});  
export const Search = SearchStory.bind({});  
export const Share = ShareStory.bind({});  
export const User = UserStory.bind({});  
export const XMark = XMarkStory.bind({});  


ArrowBigRight.args = { 
    className: 'fill-blue-500',
    width: 25, 
};

ArrowRight.args = {
    className: 'fill-none',
    width: 25,
};

ArrowLeft.args = {
    className: 'fill-none',
    width: 25,
};
ArrowDown.args = {
    className: 'fill-none',
    width: 25,
};
Bookmark.args = {
    className: 'fill-none',
    width: 25,
};
CaretDown.args = {
    className: 'fill-none',
    width: 25,
};
CaretLeft.args = {
    className: 'fill-none',
    width: 25,
};
CaretRight.args = {
    className: 'fill-none',
    width: 25,
};
CaretUp.args = {
    className: 'fill-none',
    width: 25,
};
ChevronesLeft.args = {
    className: 'fill-none',
    width: 25,
};
ChevronesRight.args = {
    className: 'fill-none',
    width: 25,
};
Cite.args = {
    className: 'fill-none',
    width: 25,
};
Copy.args = {
    className: 'fill-none',
    width: 25,
};
Delete.args = {
    className: 'fill-none',
    width: 25,
};
Download.args = {
    className: 'fill-none',
    width: 25,
};
Edit1.args = {
    className: 'fill-none',
    width: 25,
};
Edit2.args = {
    className: 'fill-none',
    width: 25,
};
Error.args = {
    className: 'fill-none',
    width: 25,
};
Eye.args = {
    className: 'fill-none',
    width: 25,
};
Favorite.args = {
    className: 'fill-none',
    width: 25,
};
Filetext.args = {
    className: 'fill-none',
    width: 25,
};
Folder.args = {
    className: 'fill-none',
    width: 25,
};
Key.args = {
    className: 'fill-none',
    width: 25,
};
List.args = {
    className: 'fill-none',
    width: 25,
};
Minus.args = {
    className: 'fill-none',
    width: 25,
};
More.args = {
    className: 'fill-none',
    width: 25,
};
Plus.args = {
    className: 'fill-none',
    width: 25,
};
Printer.args = {
    className: 'fill-none',
    width: 25,
};
Search.args = {
    className: 'fill-none',
    width: 25,
};
Share.args = {
    className: 'fill-none',
    width: 25,
};
User.args = {
    className: 'fill-none',
    width: 25,
};
XMark.args = {
    className: 'fill-none',
    width: 25,
}
